de.esprit.common.gui.table

## Class AbstractMarkableTableModel<T>

- java.lang.Object
- - javax.swing.table.AbstractTableModel
  - - de.esprit.common.gui.table.AbstractObjectTableModel<T>
    - - de.esprit.common.gui.table.AbstractMarkableTableModel<T>

- All Implemented Interfaces:
    DataLoadEvent.Source, OrderChangeEvent.Source, Clearable, java.io.Serializable, javax.swing.table.TableModel

      public class AbstractMarkableTableModel<T>
      extends AbstractObjectTableModel<T>

  This TableModel treats column 0 as an editable Boolean column which sets the selection on row item.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.table.AbstractTableModel

      `listenerList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractMarkableTableModel()`
    `AbstractMarkableTableModel(NlsKey markHeaderKey)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addRowData(int rowIndex, T obj)`
    `protected void` | `addRowData(T obj)`
    `protected void` | `clearRowData()`
    `java.lang.Class<?>` | `getColumnClass(int columnIndex)`
    `java.util.List<T>` | `getMarkedObjects()`
    `java.lang.Object` | `getValueAt(int rowIndex, int columnIndex)`
    `boolean` | `isCellEditable(int row, int col)`
    `void` | `markAll(boolean isMarked)`
    `protected T` | `removeRowData(int rowIndex)`
    `void` | `setValueAt(java.lang.Object value, int rowIndex, int columnIndex)`

    - ### Methods inherited from class de.esprit.common.gui.table.AbstractObjectTableModel

      `addColumn, addColumn, addColumn, addColumn, addDataLoadListener, addObject, addObject, addObjects, addObjects, addOrderChangeListener, clear, containsObject, dropRow, dropRow, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, getAllObjects, getColumnCount, getColumnName, getComparator, getObject, getRowCount, getValueAt, indexOf, isEmpty, isNumb, isSortAscending, load, removeColumn, removeDataLoadListener, removeObject, removeObject, removeOrderChangeListener, replaceObject, setComparator, setNumb, setObject, setSortAscending`

    - ### Methods inherited from class javax.swing.table.AbstractTableModel

      `addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableStructureChanged, getListeners, getTableModelListeners, removeTableModelListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractMarkableTableModel

          public AbstractMarkableTableModel()

    - #### AbstractMarkableTableModel

          public AbstractMarkableTableModel(NlsKey markHeaderKey)

  - ### Method Detail

    - #### isCellEditable

          public final boolean isCellEditable(int row,
                               int col)

      Specified by:
        `isCellEditable` in interface `javax.swing.table.TableModel`
      Overrides:
        `isCellEditable` in class `javax.swing.table.AbstractTableModel`

    - #### getValueAt

          public java.lang.Object getValueAt(int rowIndex,
                                    int columnIndex)

      Specified by:
        `getValueAt` in interface `javax.swing.table.TableModel`
      Overrides:
        `getValueAt` in class `AbstractObjectTableModel<T>`

    - #### setValueAt

          public void setValueAt(java.lang.Object value,
                        int rowIndex,
                        int columnIndex)

      Specified by:
        `setValueAt` in interface `javax.swing.table.TableModel`
      Overrides:
        `setValueAt` in class `AbstractObjectTableModel<T>`

    - #### getColumnClass

          public final java.lang.Class<?> getColumnClass(int columnIndex)

      Specified by:
        `getColumnClass` in interface `javax.swing.table.TableModel`
      Overrides:
        `getColumnClass` in class `javax.swing.table.AbstractTableModel`

    - #### getMarkedObjects

          public java.util.List<T> getMarkedObjects()

    - #### markAll

          public void markAll(boolean isMarked)

    - #### addRowData

          protected void addRowData(int rowIndex,
                        T obj)

      Overrides:
        `addRowData` in class `AbstractObjectTableModel<T>`

    - #### addRowData

          protected void addRowData(T obj)

      Overrides:
        `addRowData` in class `AbstractObjectTableModel<T>`

    - #### removeRowData

          protected T removeRowData(int rowIndex)

      Overrides:
        `removeRowData` in class `AbstractObjectTableModel<T>`

    - #### clearRowData

          protected void clearRowData()

      Overrides:
        `clearRowData` in class `AbstractObjectTableModel<T>`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.